#!/bin/bash

# Loop from 1 to 100 to process all simulations
for i in {1..50}; do
  input_xtc="pull$i.xtc"
  tpr_file="pull1.tpr"

  # Process the trajectory for the current simulation
  echo '0' | gmx trjconv -f "$input_xtc" -s "$tpr_file" -pbc whole -o pull_whole.xtc
  echo '0' | gmx trjconv -s "$tpr_file" -f pull_whole.xtc -o pull_nojump.xtc -pbc nojump
  echo '1 0' | gmx trjconv -s "$tpr_file" -f pull_nojump.xtc -o pull_center.xtc -center
  echo '1 0' | gmx trjconv -s "$tpr_file" -f pull_center.xtc -o pull_compact.xtc -ur compact -center
  echo '1 1 1' | gmx trjconv -s "$tpr_file" -f pull_compact.xtc -o "pull_fit$i.xtc" -fit rot+trans -center

  # Remove temporary files
  rm -r pull_whole.xtc
  rm -r pull_nojump.xtc
  rm -r pull_center.xtc
  rm -r pull_compact.xtc
  rm -f \#*
done

