#!/bin/bash

# Loop from 1 to 100 to run 100 simulations
for i in {1..10..1}; do
  simulation_name="pull$i"

  # Run grompp
  gmx grompp -p system.top -c npt.gro -f pull.mdp -o "$simulation_name".tpr -maxwarn 1 -normvsbds -n index.ndx -r npt.gro

  # Run mdrun
  gmx mdrun -deffnm "$simulation_name" -v -nt 4 -pin on -pinoffset 0 -pf "pullf$i.xvg" -px "pullx$i.xvg"
done

